perl-embperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Daniel <embp...@7thfire.com>
Subject apache/1.3.6 to lighttpd/2.2.0 issues
Date Mon, 24 Apr 2006 18:18:24 GMT
I'm moving things around, and since I'm doing that anyway, I decided to
move to 2.2.0. Now I'm seeing something rather unexpected:

Here's my epl file (I used the example from:
http://perl.apache.org/embperl/pod/doc/Embperl.-page-3-.htm#sect_2)

- @arr = (1, 3, 5) -]
[$ foreach $v @arr $]
[+ $v +] <BR>
[$ endforeach $]



my errors:
[21231]ERR: 32: Warning in Perl code: Array found where operator
expected at my.epl line 2, at end
of line 
    
[21231]ERR: 32: Warning in Perl code: (Missing operator before ?) 
    
[21231]ERR: 24: Error in Perl code: syntax error at
my.epl line 2, near "$v @arr " 
    syntax error at my.epl line
11, near "; 
     
    }" 



Why is this a problem? Seems to be the basics are breaking here.

I'm running this with cgi with lighttpd. Since I couldn't get anythign
at all working with embpcgi.pl, I removed the line causing embpexec.pl
to die if used as CGI script, and all other aspects of it appear to be
fine. I did that approach because I don't know if there's an
apache/lighttpd difference in how the scripts are called. Btw, if I can
get this working, I'd be happy to write up how to use this with
lighttpd.

---------------------------------------------------------------------
To unsubscribe, e-mail: embperl-unsubscribe@perl.apache.org
For additional commands, e-mail: embperl-help@perl.apache.org


Mime
View raw message